Package com.independentsoft.io.structuredstorage

# Class DirectoryEntry

java.lang.Object
com.independentsoft.io.structuredstorage.DirectoryEntry

All Implemented Interfaces:
  `Comparable<DirectoryEntry>`

Direct Known Subclasses:
  `RootDirectoryEntry`, `Storage`, `Stream`

public abstract class DirectoryEntry extends Object implements Comparable<DirectoryEntry>
Represents a directory entry.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `buffer`
  `protected com.independentsoft.io.structuredstorage.LittleEndianUInt32`
  `childSid`
  `protected byte[]`
  `classId`
  `protected com.independentsoft.io.structuredstorage.Color`
  `color`
  `protected Date`
  `createdTime`
  `protected DirectoryEntryList`
  `directoryEntries`
  `protected Date`
  `lastModifiedTime`
  `protected com.independentsoft.io.structuredstorage.LittleEndianUInt32`
  `leftSiblingSid`
  `protected String`
  `name`
  `protected DirectoryEntry`
  `parent`
  `protected static short`
  `PROPERTY_TYPE`
  `protected com.independentsoft.io.structuredstorage.LittleEndianUInt32`
  `rightSiblingSid`
  `protected com.independentsoft.io.structuredstorage.LittleEndianUInt32`
  `size`
  `protected com.independentsoft.io.structuredstorage.LittleEndianUInt32`
  `startSector`
  `protected DirectoryEntryType`
  `type`
  `protected com.independentsoft.io.structuredstorage.LittleEndianUInt32`
  `userFlags`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo​(DirectoryEntry entry)`
  Compares this instance with the specified DirectoryEntry object and indicates whether this instance precedes, follows, or appears in the same position in the sort order as the specified DirectoryEntry.
  `byte[]`
  `getClassId()`
  Gets classID.
  `Date`
  `getCreatedTime()`
  Gets creation time.
  `Date`
  `getLastModifiedTime()`
  Gets last modified time.
  `String`
  `getName()`
  Gets name.
  `long`
  `getSize()`
  Gets size.
  `void`
  `setClassId​(byte[] classId)`
  Sets classID.
  `void`
  `setName​(String name)`
  Sets name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### name

    protected String name

  - ### type

    protected DirectoryEntryType type

  - ### color

    protected com.independentsoft.io.structuredstorage.Color color

  - ### leftSiblingSid

    protected com.independentsoft.io.structuredstorage.LittleEndianUInt32 leftSiblingSid

  - ### rightSiblingSid

    protected com.independentsoft.io.structuredstorage.LittleEndianUInt32 rightSiblingSid

  - ### childSid

    protected com.independentsoft.io.structuredstorage.LittleEndianUInt32 childSid

  - ### classId

    protected byte[] classId

  - ### userFlags

    protected com.independentsoft.io.structuredstorage.LittleEndianUInt32 userFlags

  - ### createdTime

    protected Date createdTime

  - ### lastModifiedTime

    protected Date lastModifiedTime

  - ### startSector

    protected com.independentsoft.io.structuredstorage.LittleEndianUInt32 startSector

  - ### size

    protected com.independentsoft.io.structuredstorage.LittleEndianUInt32 size

  - ### PROPERTY_TYPE

    protected static final short PROPERTY_TYPE
    See Also:
      Constant Field Values

  - ### buffer

    protected byte[] buffer

  - ### directoryEntries

    protected DirectoryEntryList directoryEntries

  - ### parent

    protected DirectoryEntry parent

- ## Constructor Details

  - ### DirectoryEntry

    public DirectoryEntry()

- ## Method Details

  - ### compareTo

    public int compareTo​(DirectoryEntry entry)
    Compares this instance with the specified DirectoryEntry object and indicates whether this instance precedes, follows, or appears in the same position in the sort order as the specified DirectoryEntry.
    Specified by:
      `compareTo` in interface `Comparable<DirectoryEntry>`
    Parameters:
      `entry` - the entry
    Returns:
      A 32-bit signed integer that indicates whether this instance precedes, follows, or appears in the same position in the sort order as the value parameter.

  - ### getName

    public String getName()
    Gets name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets name.
    Parameters:
      `name` - the new name

  - ### getCreatedTime

    public Date getCreatedTime()
    Gets creation time.
    Returns:
      the created time

  - ### getLastModifiedTime

    public Date getLastModifiedTime()
    Gets last modified time.
    Returns:
      the last modified time

  - ### getSize

    public long getSize()
    Gets size.
    Returns:
      the size

  - ### getClassId

    public byte[] getClassId()
    Gets classID.
    Returns:
      the class id

  - ### setClassId

    public void setClassId​(byte[] classId)
    Sets classID.
    Parameters:
      `classId` - the new class id